package test;

import java.util.Arrays;
import java.util.HashSet;
import java.util.Set;
import java.util.logging.Logger;

import javax.ws.rs.ApplicationPath;
import javax.ws.rs.core.Application;

import org.glassfish.jersey.filter.LoggingFilter;

@ApplicationPath("/api")
public class MyApplication extends Application {

    private static final Logger LOGGER = Logger.getLogger(MyApplication.class.getName());

    @Override
    public Set<Class<?>> getClasses() {
        return new HashSet<Class<?>>(Arrays.asList(RepositoryResourceImpl.class, RepositoriesResourceImpl.class,
                RepositoryEntryResourceImpl.class, StatusResourceImpl.class));
    }

    @Override
    public Set<Object> getSingletons() {

        Set<Object> singletons = new HashSet<Object>();
        singletons.add(new LoggingFilter(LOGGER, 1000));

        return singletons;
    }
}
