package test;

import java.util.HashSet;
import java.util.Set;
import java.util.logging.Logger;

import javax.ws.rs.BeanParam;
import javax.ws.rs.PathParam;
import javax.ws.rs.container.ResourceContext;
import javax.ws.rs.core.Context;

public class RepositoryResourceImpl implements RepositoryResource {

    private static final Logger LOG = Logger.getLogger(RepositoryResourceImpl.class.getName());

    private static final Set<String> IDS = new HashSet<String>();

    @Context
    private ResourceContext resourceContext;

    @BeanParam
    private PathContext pathContext;

    public RepositoryResourceImpl(@PathParam("repositoryId") String repositoryId) {
        LOG.info("repositoryId: " + repositoryId);
    }

    @Override
    public String getRepository(String id) {
        if (IDS.contains(id)) {
            throw new IllegalStateException("duplicate id: " + id);
        }
        IDS.add(id);
        // throw new NotFoundException();
        return "repository " + id;
    }

    @Override
    public RepositoryEntryResource getRepositoryEntryResource(String entryId) {
        LOG.info("entryId: " + entryId + ", injected pathContext: " + pathContext);
        RepositoryEntryResource repoEntryResource = resourceContext.getResource(RepositoryEntryResourceImpl.class);
        return repoEntryResource;
    }
}
