package test;

import java.util.UUID;
import java.util.logging.Level;
import java.util.logging.Logger;

import javax.ws.rs.InternalServerErrorException;
import javax.ws.rs.NotFoundException;

import org.apache.cxf.jaxrs.client.JAXRSClientFactory;
import org.testng.annotations.Test;

public class ClientTestIT {

    private static final Logger LOG = Logger.getLogger(ClientTestIT.class.getName());

    @Test(threadPoolSize = 50, invocationCount = 50, enabled = false)
    public void LoadTest() {
        RepositoryResource myService = JAXRSClientFactory.create("http://localhost:8080/test", RepositoryResource.class);

        for (int ci = 0; ci < 50; ci++) {
            UUID uuid1 = UUID.randomUUID();
            try {
                LOG.info("first uuid: " + uuid1);
                myService.getRepository(uuid1.toString());
            } catch (NotFoundException ex) {
            } catch (InternalServerErrorException ex) {
                LOG.log(Level.SEVERE, "duplicate id: " + uuid1.toString(), ex);
                throw ex;
            }

            UUID uuid2 = UUID.randomUUID();
            try {
                LOG.info("second uuid: " + uuid2);
                myService.getRepository(uuid2.toString());
            } catch (NotFoundException ex) {
            } catch (InternalServerErrorException ex) {
                LOG.log(Level.SEVERE, "duplicate id: " + uuid2.toString(), ex);
                throw ex;
            }
        }
    }
}
